# 32/64bit spec-file
#
%define	name	subtitleeditor
%define	version	0.41.0
%define	release	%mkrel	1

Summary:	Subtitle editor
Summary(de):	Subtitel Editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Video
License:	GPLv3
URL:		http://home.gna.org/subtitleeditor/
Source:         %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	cppunit-devel
BuildRequires:	libxml++-devel => 2.20
BuildRequires:	enchant-devel
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	gstreamer0.10-plugins-good
BuildRequires:	pcre-devel >= 7.7
BuildRequires:	libxml2-devel
BuildRequires:	iso-codes
BuildRequires:  libgstreamermm-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtkglext-devel
#BuildRequires:	gtkglextmm-devel
BuildRequires:	libtool
BuildRequires:  libglademm2.4-devel
Requires:	iso-codes
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-ffmpeg
Requires:	mplayer
Obsoletes:  %name < %version

%description
Subtitle Editor is a GTK+2 tool to edit subtitles.

It can be used for new subtitles or as a tool to transform, edit, correct and
refine existing subtitle. This program also shows sound waves, which makes it 
easier to synchronise subtitles to voices.
#german
%description -l de
Subtitel Editor ist ein GTK+2 Werkzeug zum bearbeiten von Untertiteln.

Es kann zum erstellen von neue Untertiteln verwendet werden, oder als Werkzeug 
für das Bearbeiten, Korrigieren und verbessern von vorhandenen Untertiteln. 
Dieses Programm zeigt auch die Soundwelle an, um soleichter den zu 
synchronisierenden Untertitel an zu passen.


%prep
%setup -q

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make LIBTOOL=%_bindir/libtool

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std LIBTOOL=%_bindir/libtool

# desktop file
desktop-file-install --vendor="" \
	--remove-category="Audio" \
	--add-category="Video" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

rm -f %buildroot%_libdir/{*.a,*.la,*.so}
rm -f %buildroot%_libdir/%name/plugins/*/*.la

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/*.1.*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug 08 2013 Texstar <texstar at gmail.com> 0.41.0-1pclos2013
- update
- patch merged upstream

* Sun Oct 28 2012 daniel <meisssw01 at gmail.com> 0.40.0-1leiche
- upstream tarball
- add german description
- patch for glib.h

* Mon Jul 12 2010 slick50 <lxgator@gmail.com> 0.37.1-1pclos2010
- 0.37.1

* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.36.2-1pclos2010
- 0.36.2

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 0.36.1-1pclos2010
- 0.36.1

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 0.36.0-1pclos2010
- 0.36.0

* Sun Jan 03 2010 slick50 <lxgator@gmail.com> 0.35.1-1pclos2010
- 0.35.1

* Fri Aug 21 2009 slick50 <lxgator@gmail.com> 0.34.0-1pclos2009
- new version

* Tue Jun 23 2009 slick50 <lxgator@gmail.com> 0.33.0-1pclos2009
- new version

* Tue Jun 02 2009 slick50 <lxgator@gmail.com> 0.32.0-1pclos2009
- new version

* Fri Dec 05 2008 don_crissti <don_crissti@gmx.com> 0.30.0-1pclos2007
- new version

* Tue Aug 12 2008 don_crissti <don_crissti@gmx.com> 0.22.2-1pclos2007
- new version, some bugs have been fixed upstream

* Sun Aug 10 2008 don_crissti <don_crissti@gmx.com> 0.22.1-1pclos2007
- initial build for PCLinuxOS

